%auto-grid{
	display: grid;
	grid-auto-columns:auto;
	grid-auto-rows:auto;
	grid-auto-flow: column;
}


%site-grid{
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	grid-template-rows: auto;
	grid-template-areas:
		"hd hd hd"
		"sd sd sd"
		"mn mn mn"
		"ft ft ft";
	@media screen and (min-width: $tab-width) and (max-width: $lap-width - 1)
	{
	grid-template-areas:
		"hd hd hd"
		" . sd . "
		" . mn . "
		"ft ft ft";
	}
	@media screen and (min-width: $lap-width) and (max-width: $desk-width - 1)
	{
	grid-template-areas:
		"hd hd hd"
		"sd mn . "
		"ft ft ft";
	}
	@media screen and (min-width: $desk-width)
	{
	grid-template-areas:
		"hd hd hd"
		"sd mn sd2"
		"ft ft ft";
	}
}
